# QTextEncoder Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QTextEncoder(QTextCodec codec)
- void QTextEncoder(QTextCodec codec, ConversionFlags flags)

### Constructor Properties

- prototype: The QTextEncoder prototype object

### Prototype Object Properties

- QByteArray fromUnicode(String str)
- bool hasFailure()

### Instance Properties

QTextEncoder objects have no special properties beyond those inherited from the QTextEncoder prototype object.